package com.zd.laboratory.domain;

import cn.hutool.core.util.StrUtil;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.enums.HardwareTypeEnum;
import com.zd.laboratory.domain.vo.LabRiskPlanAbnormalLogVO;
import com.zd.laboratory.domain.vo.LabSubjectVO;
import com.zd.system.api.laboratory.domain.SubAddrr;
import com.zd.system.api.laboratory.domain.vo.LabSubClassVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.util.LinkedMultiValueMap;
import sun.swing.BakedArrayList;

import java.util.*;

/**
 * @Author: zhoupan
 * @Date: 2021/11/11/16:56
 * @Description:
 */
public class SubDiyAppVO {

    private SubDiyVO subDiyVo;

    private Set <String> sensorSet;

    private Long todayHappenCount;

    private LabRiskPlanAbnormalLogVO riskPlanAbnormalLogVo;

    private List<HardwareOpreteActVO> hardwareOpreteActList = new ArrayList <>();

    private List<HardwareOpreteActVO> voiceOpreteActList = new ArrayList <>();

    private List<HardwareOpreteActVO> phoneOpreteActList = new ArrayList <>();

    private List<HardwareOpreteActVO> messageOpreteActList = new ArrayList <>();

    private SubDiyVO subDiyNewVO = new SubDiyVO();

    public SubDiyVO getSubDiyVo() {
        return subDiyVo;
    }

    private String groupStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginDate;

    private Long riskPlanLogId;

    public void setSubDiyVo(SubDiyVO subDiyVo) {
        this.subDiyVo = subDiyVo;
    }

    public Set <String> getSensorSet() {
        return sensorSet;
    }

    public void setSensorSet(Set <String> sensorSet) {
        this.sensorSet = sensorSet;
    }

    public Long getTodayHappenCount() {
        return todayHappenCount;
    }

    public void setTodayHappenCount(Long todayHappenCount) {
        this.todayHappenCount = todayHappenCount;
    }

    public LabRiskPlanAbnormalLogVO getRiskPlanAbnormalLogVo() {
        return riskPlanAbnormalLogVo;
    }

    public void setRiskPlanAbnormalLogVo(LabRiskPlanAbnormalLogVO riskPlanAbnormalLogVo) {
        this.riskPlanAbnormalLogVo = riskPlanAbnormalLogVo;
    }

    public List <HardwareOpreteActVO> getHardwareOpreteActList() {
        return hardwareOpreteActList;
    }

    public void setHardwareOpreteActList(List <HardwareOpreteActVO> hardwareOpreteActList) {
        this.hardwareOpreteActList = hardwareOpreteActList;
    }


    public List <HardwareOpreteActVO> getVoiceOpreteActList() {
        return voiceOpreteActList;
    }

    public void setVoiceOpreteActList(List <HardwareOpreteActVO> voiceOpreteActList) {
        this.voiceOpreteActList = voiceOpreteActList;
    }

    public List <HardwareOpreteActVO> getPhoneOpreteActList() {
        return phoneOpreteActList;
    }

    public void setPhoneOpreteActList(List <HardwareOpreteActVO> phoneOpreteActList) {
        this.phoneOpreteActList = phoneOpreteActList;
    }

    public List <HardwareOpreteActVO> getMessageOpreteActList() {
        return messageOpreteActList;
    }

    public void setMessageOpreteActList(List <HardwareOpreteActVO> messageOpreteActList) {
        this.messageOpreteActList = messageOpreteActList;
    }

    public String getGroupStatus() {
        return groupStatus;
    }

    public void setGroupStatus(String groupStatus) {
        this.groupStatus = groupStatus;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Long getRiskPlanLogId() {
        return riskPlanLogId;
    }

    public void setRiskPlanLogId(Long riskPlanLogId) {
        this.riskPlanLogId = riskPlanLogId;
    }

    public SubDiyVO getSubDiyNewVO() {
        return subDiyNewVO;
    }

    public void setSubDiyNewVO(SubDiyVO subDiyNewVO) {
        this.subDiyNewVO = subDiyNewVO;
    }
}
